## org.hibernate.bytecode.instrumentation.internal.javassist
Class JavassistHelper

    java.lang.Object
      org.hibernate.bytecode.instrumentation.internal.javassist.JavassistHelper

    public class JavassistHelper

extends Object

Method Summary
`static FieldInterceptor` `extractFieldInterceptor(Object entity)`
`static FieldInterceptor` `injectFieldInterceptor(Object entity, String entityName, Set uninitializedFieldNames, SessionImplementor session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### extractFieldInterceptor

    public static FieldInterceptor extractFieldInterceptor(Object entity)

### injectFieldInterceptor

    public static FieldInterceptor injectFieldInterceptor(Object entity,
                                                          String entityName,
                                                          Set uninitializedFieldNames,
                                                          SessionImplementor session)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.